// FORMWHIZ Version 1.0
// Copyright (c) 1999 Ziff-Davis, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, September 21, 1999.
// Programmer: Patrick Philippot

// EncryptString - Helper function shared by FormWhiz and FWConf

void EncryptString(bool bEncrypt, LPSTR lpszString)
// Simple XOR-based encryption routine preventing the user
// data from appearing in clear text in the registry and in 
// the form files.
{
	if (bEncrypt)
	{
		_tcsrev(lpszString);
		for (UINT i = 0; i < _tcslen(lpszString); i++)
		{
			lpszString[i] ^= 19;	// My birth date
			lpszString[i] ^= 48;
			lpszString[i] += 9;		
			// Adding 9 to the result of the XOR operations
			// prevent tab characters from appearing in the
			// resulting string. The installation program has
			// problems when transferring registry values
			// containing tabs.
		}
	}
	else
	{
		for (UINT i = 0; i < _tcslen(lpszString); i++)
		{
			lpszString[i] -= 9;
			lpszString[i] ^= 48;
			lpszString[i] ^= 19;
		}
		_tcsrev(lpszString);
	}
}