// FORMWHIZ Version 1.0
// Copyright (c) 1999 Ziff-Davis, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, September 21, 1999.
// Programmer: Patrick Philippot

#include "uistr.h"

size_t _uislen(const wchar_t* pStr)
{
    return wcslen(pStr);
}

size_t _uislen(const char* pStr)
{
    return strlen(pStr);
}

char* _uiscpy(char* pszTarget, const wchar_t* pszSrc)
{
	wcstombs(pszTarget, pszSrc, INT_MAX);
    return pszTarget;
}

wchar_t* _uiscpy(wchar_t* pszTarget, const wchar_t* pszSrc)
{
	return wcscpy(pszTarget, pszSrc);
}

char* _uiscpy(char* pszTarget, const char* pszSrc)
{
	return strcpy(pszTarget, pszSrc);
}

wchar_t* _uiscpy(wchar_t* pszTarget, const char* pszSrc)
{
	mbstowcs(pszTarget, pszSrc, INT_MAX);
    return pszTarget;
}

char* _uiscat(char* pszTarget, const wchar_t* pszSrc)
{
	wcstombs(pszTarget + _uislen(pszTarget), pszSrc, INT_MAX);
    return pszTarget;
}

wchar_t* _uiscat(wchar_t* pszTarget, const wchar_t* pszSrc)
{
    return wcscat(pszTarget, pszSrc);
}

char* _uiscat(char* pszTarget, const char* pszSrc)
{
    return strcat(pszTarget, pszSrc);
}

wchar_t* _uiscat(wchar_t* pszTarget, const char* pszSrc)
{
	mbstowcs(pszTarget + _uislen(pszTarget), pszSrc, INT_MAX);
    return pszTarget;
}

