// FORMWHIZ Version 1.0
// Copyright (c) 1999 Ziff-Davis, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, September 21, 1999.
// Programmer: Patrick Philippot

#ifndef _UASTR_H
#define _UASTR_H

#include "stdafx.h"
#include <limits.h>

// Set of string routines providing automatic conversion 
// between UNICODE and non-UNICODE strings

size_t		_uislen(const wchar_t* pStr);
size_t		_uislen(const char* pStr);
char*		_uiscpy(char* pszTarget, const wchar_t* pszSrc);
wchar_t*	_uiscpy(wchar_t* pszTarget, const wchar_t* pszSrc);
char*		_uiscpy(char* pszTarget, const char* pszSrc);
wchar_t*	_uiscpy(wchar_t* pszTarget, const char* pszSrc);
char*		_uiscat(char* pszTarget, const wchar_t* pszSrc);
wchar_t*	_uiscat(wchar_t* pszTarget, const wchar_t* pszSrc);
char*		_uiscat(char* pszTarget, const char* pszSrc);
wchar_t*	_uiscat(wchar_t* pszTarget, const char* pszSrc);

#endif