// FORMWHIZ Version 1.0
// Copyright (c) 1999 Ziff-Davis, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, September 21, 1999.
// Programmer: Patrick Philippot

// FWConfDlg.h : header file

#if !defined(AFX_AFCONFDLG_H__E72BB5AC_D788_11D2_8DC0_00A0249EABF4__INCLUDED_)
#define AFX_AFCONFDLG_H__E72BB5AC_D788_11D2_8DC0_00A0249EABF4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PropPages.h"

#define SC_ABOUT 1000

#define HIDD_FWCONF_DIALOG                      0x20066
#define HIDD_PROPPAGE_ASSOC                     0x2006A
#define HIDD_PROPPAGE_KEYS                      0x2006B
#define HIDD_PROPPAGE_URLS                      0x2006C
#define	IDC_ABOUT								2000

/////////////////////////////////////////////////////////////////////////////
// CFWConfDlg

class CFWConfDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CFWConfDlg)

// Construction
public:
	CFWConfDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CFWConfDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:


protected:

	CAssocPage	m_AssocPage;
	CKeyPage	m_KeyPage;
	CURLPage	m_URLPage;

	CButton		m_AboutButton;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFWConfDlg)
	public:
	virtual BOOL OnInitDialog();
	protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFWConfDlg();

	// Generated message map functions
protected:
	//{{AFX_MSG(CFWConfDlg)
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AFCONFDLG_H__E72BB5AC_D788_11D2_8DC0_00A0249EABF4__INCLUDED_)
