// FORMWHIZ Version 1.0
// Copyright (c) 1999 Ziff-Davis, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, September 21, 1999.
// Programmer: Patrick Philippot

// Strings used for registry manipulation
// Shared with FWConf

TCHAR const g_szOptionKey[] 			= _T("SOFTWARE\\PC Magazine\\FormWhiz\\Options");
TCHAR const g_szPartialMatchChar[]		= _T("PartialMatchChar");
TCHAR const g_szForceFillIn[]			= _T("ForceFillIn");
TCHAR const g_szActive[]				= _T("Active");
TCHAR const g_szTokenSeparator[]		= _T("TokenSeparator");
TCHAR const g_szURLKey[] 				= _T("SOFTWARE\\PC Magazine\\FormWhiz\\URLs");
TCHAR const g_szAssocKey[]	 			= _T("SOFTWARE\\PC Magazine\\FormWhiz\\Associations" );
TCHAR const g_szSerializeKey[]			= _T("SerializeKey");
TCHAR const g_szDeleteKey[]				= _T("DeleteKey");
TCHAR const g_szConfigKey[]				= _T("ConfigKey");
TCHAR const g_szToggleKey[]				= _T("ToggleKey");
TCHAR const g_szFWPrefix[]				= _T("_FW_");
TCHAR const g_szEmptyTitleIndex[]		= _T("EmptyTitleIndex");
TCHAR const g_szEmpty[]					= _T("<empty>");
TCHAR const g_chPartialMatchOKChar		= (TCHAR) 'y';
TCHAR const g_chPartialMatchNotOKChar	= (TCHAR) 'n';

#define	MAX_URL				512
#define	MAX_TITLE			512
#define	MAX_FILL			100
#define	MAX_TOKENS			1024
#define MAX_NAME			100
#define MAX_OPTION_TEXT		100
#define MAX_OPTION_VALUE	100
#define MAX_WRITE_STR		512
#define MAX_MSG_TEXT		250
#define MAX_MSG_CAPTION		50